NixPics, or 'nip' for short, is a system of scripts and tools designed for maximum photo managing 
efficiency. It is somewhat inspired by 'git' and the UNIX philosophy: many small tools that can be 
hooked together with one's personal scripts for incredible power. It seeks to leave primitives (such as 
text data and directory structure) exposable to users if need be if one needs to do something special, 
with higher-level tools to accomplish common tasks. Those who love using grep, sed, and bash to do 
crazy things will love nip. As will those who like using quick keyboard strokes and scripts to 
minimize plumbing and overhead. Those who love typical GUI photo managers and clicking a lot should 
look elsewhere.
